Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class DropDownComponent.ScrollablePopupMenuAdapter

    java.lang.Object
      org.apache.batik.util.gui.DropDownComponent.ScrollablePopupMenuAdapter

All Implemented Interfaces:
  EventListener, DropDownComponent.ScrollablePopupMenuListener

Enclosing class:
  DropDownComponent

    public static class DropDownComponent.ScrollablePopupMenuAdapter

extends Object
implements DropDownComponent.ScrollablePopupMenuListener

The adapter for the ScrollablePopupMenuListener.

Constructor Summary
`DropDownComponent.ScrollablePopupMenuAdapter()`

Method Summary
`void` | `itemsWereAdded(DropDownComponent.ScrollablePopupMenuEvent ev)` Handles the 'itemsWereAdded' event.
`void` | `itemsWereRemoved(DropDownComponent.ScrollablePopupMenuEvent ev)` Handles the 'itemsWereRemoved' event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropDownComponent.ScrollablePopupMenuAdapter

    public DropDownComponent.ScrollablePopupMenuAdapter()

Method Detail

### itemsWereAdded

    public void itemsWereAdded(DropDownComponent.ScrollablePopupMenuEvent ev)

  Description copied from interface: `DropDownComponent.ScrollablePopupMenuListener`
  Handles the 'itemsWereAdded' event.

  Specified by:
    `itemsWereAdded` in interface `DropDownComponent.ScrollablePopupMenuListener`
  Parameters:
    `ev` - The associated event

### itemsWereRemoved

    public void itemsWereRemoved(DropDownComponent.ScrollablePopupMenuEvent ev)

  Description copied from interface: `DropDownComponent.ScrollablePopupMenuListener`
  Handles the 'itemsWereRemoved' event.

  Specified by:
    `itemsWereRemoved` in interface `DropDownComponent.ScrollablePopupMenuListener`
  Parameters:
    `ev` - The associated event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.